Package Details: qmplay2 20.07.04-1

Git Clone URL: https://aur.archlinux.org/qmplay2.git (read-only, click to copy)
Package Base: qmplay2
Description: QMPlay2 is a video and audio player which can play most formats and codecs
Upstream URL: https://github.com/zaps166/QMPlay2
Keywords: ass audio chiptune ffmpeg media mod movie player qt srt subtitles video youtube
Licenses: LGPL
Submitter: mrbit
Maintainer: zaps166
Last Packager: zaps166
Votes: 33
Popularity: 0.83
First Submitted: 2012-10-13 22:02
Last Updated: 2020-07-04 20:21

Dependencies (24)

Required by (0)

Sources (1)

Pinned Comments

zaps166 commented on 2017-06-19 20:07

Please report all non Arch Linux packaging issues here: https://github.com/zaps166/QMPlay2/issues

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

zaps166 commented on 2017-06-19 13:10

What if you compile Release, but with "-DUSE_LINK_TIME_OPTIMIZATION=OFF" ?

rtfreedman commented on 2017-06-19 10:30

Antergos x86_64, trace.log https://ptpb.pw/xKhG
Never crashed before.

Edit: There is no crash with -DCMAKE_BUILD_TYPE=Debug :(

zaps166 commented on 2017-06-17 17:18

@rtfreedman Could you add more details? Which OS (manjaro/arch), etc. ? Maybe add gdb log (you must prevent stripping binaries in PKGBILD)? Does crash happen on previous QMPlay2 version?

rtfreedman commented on 2017-06-17 00:58

I get segfaults with version 17.06.09 and -DUSE_QT5=ON,
no problem with -DUSE_QT5=OFF

zaps166 commented on 2016-06-14 22:26

Switched to Qt5 :)

ahjolinna commented on 2016-04-23 14:41

yeah it's maybe smart to wait for 5.6.1, even kde neon project is waiting for it before they will release their first stable ISO

zaps166 commented on 2016-04-23 14:27

Still waiting for 5.6.1... QMPlay2 compilation script uses Qt 5.6.1 as default (if detected).

Qt 5.6.0 wrongly process important mouse enter/leave events on XCB (worse than Qt 5.5.1, so it is annoying):
https://codereview.qt-project.org/#/c/155866/
https://codereview.qt-project.org/#/c/145514/
https://codereview.qt-project.org/#/c/146627/

And for submenus with widgets (Video EQ in QMPlay2):
https://codereview.qt-project.org/#/c/146891/
https://codereview.qt-project.org/#/c/148771/

And other (not my own) patches which fixes DBus Menu - 5.5.x and 5.6.0 break more complicated tray context menus (QMPlay2 tray context menu) e.g. on KDE.

Currently qmplay2-git uses Qt5. I don't know when 5.6.1 will be released, so I can switch to Qt5 if you want....

ahjolinna commented on 2016-04-23 14:07

I think now when Qt5.6 (LTS) has arrived you you should use it instead of the obsolete Qt4

zaps166 commented on 2015-07-30 10:05

Thanks, fixed!

vagorafaelino commented on 2015-07-30 01:21

There's a typo in the makedepends array.
Please remove comma after gcc